/**
 * 工作台
 */

import http from '../http'
// import { https } from '../https'

export default {
  // 检测依据管理
  pageReportMake: data =>
    http.post('soil/v1/entrust/page_report_make', data).then(res => res),
  pageReportCheck: data =>
    http.post('soil/v1/entrust/page_report_check', data).then(res => res),
  pageReportIssue: data =>
    http.post('soil/v1/entrust/page_report_issue', data).then(res => res),
  pageAnnual: data =>
    http
      .post('soil/v1/statistics/page_annual_entrust_statistics', data)
      .then(res => res),
  pageCustomer: data =>
    http
      .post('soil/v1/statistics/page_customer_entrust_statistics', data)
      .then(res => res),
  listCoordinateStatistics: data =>
    http
      .post('soil/v1/statistics/list_coordinate_statistics', data)
      .then(res => res),
  pageCustomerEntrustStatistics: data =>
    http
      .post('soil/v1/statistics/page_customer_entrust_statistics', data)
      .then(res => res),
  pageCoordinateStatistics: data =>
    http
      .post('soil/v1/statistics/page_coordinate_statistics', data)
      .then(res => res),
  filePage: data =>
    http.post('soil/v1/standard_annex/page', data).then(res => res),
  // 待完成委托量
  pageWaitEnd: data =>
    http
      .post('soil/v1/statistics/page_wait_end_entrust_statistics', data)
      .then(res => res)
}
